01.03.2021 13:14:32
Navigation
· Bugtracker
· Kontakt
· Web Links
· Suche
· Buchtipps
Login
Benutzername

Passwort



Noch kein Mitglied?
Klicke hier um dich zu registrieren

Passwort vergessen?
Um ein neues Passwort anzufordern klicke hier.
Mitglieder Online
· Gäste Online: 3

· Mitglieder Online: 0

· Mitglieder insgesamt: 14,588
· Neuestes Mitglied: Waldemar-Andrjuscenko
Foren Themen
Neueste Themen
· Alle Plugins sollten...
· "Neue Spalte Navigat...
· Fehlermeldung bei CS...
· Mehrwertsteuer!
· Angelegte Dauerbuchu...
Heißeste Themen
· "Neue Spalte Navi... [2]
· Fehlermeldung bei... [1]
· Alle Plugins soll... [0]

Thema ansehen
EasyCash&Tax Website » EasyCash&Tax - Fibu » Elster-Export Plugin
 Thema drucken
Elster Export Installation DLL/OCX konnte nicht registriert werden
posde
IE7 war installiert. IE7 wurde deinstalliert, PC neu gestartet, plugin install failed, IE7 wurde wieder installiert, PC neu gestartet, plugin install failed.

Und nu?

EDIT: Gerade die Nachricht bzgl Clientsetup gelesen. Werde ich jetzt gleich mal durchspielen.
 
posde
Leider keinen Erfolg bei der Suche nach clientsetup von Avangate. Falls jemand 'ne URL hat, würde ich mich freuen
 
Klaus Kaltner
Lieber Thomas

Auch mir geht es so, das ich mit diesem Fehler konfrontiert bin unter XP.

Würde gerne mit diesem System weitermachen, gibt es noch Hoffnung, dass es hierfür eine Lösung geben wird ?

Gruß Klaus Kaltner
 
mielket
Nichts neues passiert die letzten Tage, was das Problem angeht. Vielleicht finde ich am Wochenende Zeit, um mit einer virtuellen XP-Maschine zu testen...
 
http://am3.notify.live.net/throttledthirdparty/01.00/AQGwcKFTwqFdQoAAdm9TTl6zAgAAAAADEwAAAAQUZm52OjE3QjlBNEFEQTU4QzU2ODAFBkxFR0FDWQ
gfranz
Auch bei mir gibt es die gleiche Fehlermeldung beim Update des Plugins. Ich verwende eine Win8.0-VM, auf der schon ein paar Jahre easyCash&Tax läuft. Auf der VM tut sich wenig. Letztes Jahr sind nur zwei Wallets installiert worden.
 
mielket
Ich habe noch einmal im Elster Entwickler-Forum gestöbert und EC&T scheint nicht die einzige betroffene Software zu sein. Bitte probiert mal, ob das hier installiert:

http://easyct.no-...redist.exe
 
http://am3.notify.live.net/throttledthirdparty/01.00/AQGwcKFTwqFdQoAAdm9TTl6zAgAAAAADEwAAAAQUZm52OjE3QjlBNEFEQTU4QzU2ODAFBkxFR0FDWQ
posde
Leider keinen Erfolg. Die VCRedist hattest Du ja schon vor ein paar Tagen verlinkt. Auch im kompletten Paket gibt es keinen Erfolg.
 
mielket
Ok, habe mir jetzt ein frisches Windows 8.0 Pro x64 auf VirtualBox installiert und kann das Problem damit nachvollziehen. Sobald ich etwas herausfinde, sage ich Bescheid.
 
http://am3.notify.live.net/throttledthirdparty/01.00/AQGwcKFTwqFdQoAAdm9TTl6zAgAAAAADEwAAAAQUZm52OjE3QjlBNEFEQTU4QzU2ODAFBkxFR0FDWQ
posde
Danke für Deine Bemühungen.
 
mielket
Die 'stille Installation' des VC-Redistributables hatte beim obigen Link nicht funktioniert. Nur dadurch hatte es keinen Effekt auf die Windows 8 Installation. Zumindest das konnte ich herausfinden. Für XP ist damit wahrscheinlich nichts gewonnen aber ich habe das trotzdem jetzt als v2.10 released.

Ich bin ja niemand, der Leute dazu antreibt ständig neue Betriebssysteme zu installieren; aber vielleicht ist es ein Zeichen, wenn der Windows-Support unter Linux besser ist als unter XP... Wink
 
http://am3.notify.live.net/throttledthirdparty/01.00/AQGwcKFTwqFdQoAAdm9TTl6zAgAAAAADEwAAAAQUZm52OjE3QjlBNEFEQTU4QzU2ODAFBkxFR0FDWQ
posde
Gib Bescheid, wenn Du XP aus den unterstützten Betriebssystem für Easy C&T mit Elster rausnimmst. Ich finde es eigentlich sehr schön einen dedizierten Rechner zu haben wo nur die Buchführung läuft, könnte zur Not aber auch wechseln. ;-)
 
Ping-Handel
auch bei uns...
Benutze die SW schon seit vielen Jahren. Ich habe einen iMac und lasse die SW mit Wine laufen. Nun lässt sich leider das Elster plug v2.10 (auch v2.09 nicht) in nicht laden. Habe schon im Vorfeld gelesen und alles probiert was hier in den postings steht. Leider ohne Erfolg...

Die Fehlermeldung pendelt von DLL/OCX konnte nicht registriert werden zu Delete File schlug fehl code 32

Was kann ich noch tun?
 
mielket
Ping-Handel schrieb:
Benutze die SW schon seit vielen Jahren. Ich habe einen iMac und lasse die SW mit Wine laufen.


Hast Du auch die Posts in dem Thread hier gelesen?:

http://www.easyct...ad_id=2897

Zu Windows XP:

Weitere Recherchen ergaben, dass Microsoft die Visual C++ 2017-Runtime in zahlreiche Einzelbibliotheken aufgespalten hat. Die wiederum haben eine Abhängigkeit zur Windows Universal CRT haben, die unter Windows-Versionen vor Windows 10 nicht garantiert vorhanden ist.

Deshalb wurde es notwendig, die Microsoft Redistributables als ganzes zu installieren und nicht mehr wie zuvor lediglich zwei DLLs mitzuinstallieren, da die Abhängigkeiten der zahlreichen Runtime-Bibliotheken nicht dokumentiert sind und sich bei Updates ändern können.

Ein weiterer Grund: Microsofts 2017 Redistributable Installer installiert die Windows Universal CRT bei Bedarf automatisch mit.

Und hier liegt wahrscheinlich auch das Problem für XP-Nutzer. Denn es gibt die universelle C RunTime anscheinend nicht als Update für XP:

https://support.m...in-windows

Schaut mal, ob ihr wirklich das letzte verfügbare Service Pack für XP drauf habt. Vielleicht ist darin eine an die 2017er CRT anschlussfähige universal CRT doch noch enthalten.
 
http://am3.notify.live.net/throttledthirdparty/01.00/AQGwcKFTwqFdQoAAdm9TTl6zAgAAAAADEwAAAAQUZm52OjE3QjlBNEFEQTU4QzU2ODAFBkxFR0FDWQ
posde
Meiner is XP Pro SP 3 v.3264 - und Windows Update findet nix Neueres Frown
 
mielket
Immerhin... aber dass Windows Update nichts findet, wundert Dich nicht wirklich, oder? Wink

Es wird der Zeitpunkt kommen, an dem auch EC&T die neuere Runtime benutzen wird. Bis dahin solltest Du Dir etwas überlegt haben, wie Du weitermachen möchtest. Ich werde EC&T auf jeden Fall bewußt darauf trimmen möglichst gut mit Wine zu funktionieren. Vielleicht wäre das eine kostenlose Alternative zu XP, z.B. unter Ubuntu 16.04 LTS mit Wine 3.0..?
Bearbeitet von mielket am 11.02.2018 13:28:32
 
http://am3.notify.live.net/throttledthirdparty/01.00/AQGwcKFTwqFdQoAAdm9TTl6zAgAAAAADEwAAAAQUZm52OjE3QjlBNEFEQTU4QzU2ODAFBkxFR0FDWQ
posde
Naja, ich weiß nicht, ob Microsoft die ursprünglich mal veröffentlichten Updates nicht mehr zur Verfügung stellt. Und ich habe keine richtig alte XP Installation ohne den imho letzten SPs um es zu verifizieren.
 
Aron
Hi! Auch ich habe das Problem mit XP seit dem 2018 update.

@mielket Verstehe ich dich richtig, dass es das jetzt mit XP gewesen ist? Oder kann man noch hoffen?
 
mielket
Der TÜV für XP ist ja schon seit ein paar Jahren abgelaufen. Nach meiner Meinung ist das Betriebssystem Geschichte, ja. Aber von mir aus könnt ihr es natürlich weiter benutzen. Ich biete ja noch eine 1.x Version von EC&T an, die sogar noch auf Windows 98 und 2000 läuft.

Ich persönlich habe ja nichts gegen Nostalgie und Retro-Software. Aber Elster für Dritthersteller wird schwierig. Übrigens lässt sich ElsterFormular anscheinend immer noch auf XP-Systemen (und anderen Windows-Versionen, bei denen jahrelang kein Update gemacht wurde) installieren -- das ist eigentlich unlauterer Wettbewerb. Smile

Es wird also nicht unmöglich, EC&T mit XP zu nutzen, nur unkomfortabler: Ihr müsst die Werte jeder UST-Voranmeldung eben nur manuell in ElsterFormular (oder das Elster-Webportal) eintragen, wie ihr das auch schon mit der USt-Erklärung und dem EÜR-Formular macht.

Ich werde das Thema aber weiter verfolgen und im Hinterkopf behalten. Wenn ich etwas aufschnappe, wie man die 2017er Runtime auf XP richtig installiert bekommt, werde ich das hier im Forum bekannt geben oder es wird ein Update des Elster-Plugins geben. Aber ich kann da eben nichts versprechen, weil sich das ein ganzes Stück weit meinem Einflussbereich entzieht.
Bearbeitet von mielket am 13.02.2018 12:09:45
 
http://am3.notify.live.net/throttledthirdparty/01.00/AQGwcKFTwqFdQoAAdm9TTl6zAgAAAAADEwAAAAQUZm52OjE3QjlBNEFEQTU4QzU2ODAFBkxFR0FDWQ
posde
Danke für die offenen Worte. Und ja, die Abhängigkeiten von anderen Libs ist immer mistig. Und ja, no 2, das manuelle Übertragen hab ich jetzt auch gemacht. Will ja mal ausnahmsweise keine Strafe für die zu späte Abgabe zahlen :-)

Unter den WINE Versionen unter Ubuntu 16.04 sollte ECT inkl Elster laufen?
 
mielket
posde schrieb:
Unter den WINE Versionen unter Ubuntu 16.04 sollte ECT inkl Elster laufen?


Ja, siehe diesen Thread. Lediglich mit JavaScript-basierten Plugins gibt es Probleme, z.B. dem AfA-Plugin. So weit ist Wine noch nicht, dass es die Internet Explorer Funktionalität perfekt simulieren kann, die EC&T dafür nutzt. Aber es wird daran gearbeitet. Bis es so weit ist, kann man sein XP in einer VirtualBox künstlich am Leben erhalten, um eine AfA-Liste zu erhalten.
 
http://am3.notify.live.net/throttledthirdparty/01.00/AQGwcKFTwqFdQoAAdm9TTl6zAgAAAAADEwAAAAQUZm52OjE3QjlBNEFEQTU4QzU2ODAFBkxFR0FDWQ
Springe ins Forum:
Forensuche



Shoutbox
Du musst eingeloggt sein, um eine Nachricht zu verfassen.

28.02.2021 13:20:52
@oekolog Wo genau tauchen die Zahlen nicht auf? Mach mal einen Foren-Thread dazu auf und beschreibe detailliert Beispiel-Buchungen
, so wie Du sie gemacht hast.

28.02.2021 10:42:22
noch einmal Reverse Charge habe alles gemacht wie in der Anleitung - aber die Reverse Zahlen tauchen nicht auf - was habe ich falsch gemacht - oekolog

23.02.2021 08:32:52
Gelöst! Datumsformat war auf TT MM JJJJ eingestellt,richti
g ist TT MM JJ!

23.02.2021 08:07:46
Fehlermeldung bei CSV Import: "... kann nicht in den Datentyp Datum konvertiert werden ..." Was mache ich falsch?

12.02.2021 19:51:28
@rknauer: Ich kann Fakturama ( https://www.faktu.
..
)empfehlen, auch wenn die Installation etwas aufwendiger ist. Aber das Fakturama Forum ist ziemlich aktiv und man bekommt recht schel

11.02.2021 11:31:08
Wegen Rechnungs-Programm
en war ich von Fakturama ganz angetan (bis auf den unnötig komplizierten Installations- prozess)

11.02.2021 11:30:07
@rknauer: Der Entwickler von Rechnung3 hat noch keine Lösung für das Hosten der Software. Konten erstellen unter Einstellungen -> E/Ü-Konten

11.02.2021 10:36:55
Ist es möglich mehrere Erlöskonten zu erstellen? zum Beispiel: 8401 für Umsatz A 8402 für Umsatz B

11.02.2021 10:10:15
Hallo, gibt es das Programm Faktura Rechnung3 noch? Ich kann es nirgends zum Download finden.

06.02.2021 17:26:28
@Athos: Hab gerade die v2.39 veröffentlicht, in der die neue EÜR enthalten ist.

06.02.2021 17:25:24
Jetzt hab ich sie :-)

06.02.2021 11:35:42
Ich finde die EÜR 2020 nicht ... ?

01.02.2021 02:09:42
tommy, lieber das Forum benutzen. aber probiere mal das Aktualisier-Bis-Da
tum zurückzusetzen und bis vor Dezember auszuführen.

01.02.2021 00:33:49
Hallo zusammen, habe nach dem Jahreswechsel das Problem das keine Dauerbuchungen mehr ausgeführt werden. Für Dez.21 wurde ausgeführt, für jan - nov. keine chance, so als hätten die buttons keinerlei f

29.01.2021 19:45:20
@UGF: Sind fertig, nur noch nicht online -- bis auf die USt-VA, die schon im Elster-Plugin v2.17 enthalten ist. Will am WE auch noch eine neuen Version des Hauptprogramms fertigmachen.

20,450,123 eindeutige Besuche